## org.apache.hadoop.metrics.spi
Class AbstractMetricsContext.MetricMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.TreeMap<String,Number>
              org.apache.hadoop.metrics.spi.AbstractMetricsContext.MetricMap

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Number>, NavigableMap<String,Number>, SortedMap<String,Number>

Enclosing class:
  AbstractMetricsContext

    @InterfaceAudience.Private
    public static class AbstractMetricsContext.MetricMap

extends TreeMap<String,Number>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Method Summary

Methods inherited from class java.util.TreeMap
`ceilingEntry, ceilingKey, clear, clone, comparator, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, remove, size, subMap, subMap, tailMap, tailMap, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, isEmpty, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode, isEmpty`

Copyright © 2009 The Apache Software Foundation